xine-lib: xine-lib-1.2.13/src/combined/ffmpeg/input_avio.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
input_avio.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include <libavutil/avutil.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avio.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/input_plugin.h>`
`#include "ffmpeg_decoder.h"`

## Data Structures
struct | avio_input_plugin_t

## Macros
#define | LOG_MODULE "libavio"
#define | LOG_VERBOSE

## Functions
static off_t | input_avio_read (input_plugin_t *this_gen, void *buf_gen, off_t len)
static buf_element_t * | input_avio_read_block (input_plugin_t *this_gen, fifo_buffer_t *fifo, off_t todo)
static off_t | input_avio_get_length (input_plugin_t *this_gen)
static uint32_t | input_avio_get_capabilities (input_plugin_t *this_gen)
static off_t | input_avio_seek_time (input_plugin_t *this_gen, int time_offset, int origin)
static uint32_t | input_avio_get_blocksize (input_plugin_t *this_gen)
static off_t | input_avio_get_current_pos (input_plugin_t *this_gen)
static off_t | input_avio_seek (input_plugin_t *this_gen, off_t offset, int origin)
static const char * | input_avio_get_mrl (input_plugin_t *this_gen)
static int | input_avio_get_optional_data (input_plugin_t *this_gen, void *data, int data_type)
static int | input_avio_open (input_plugin_t *this_gen)
static void | input_avio_dispose (input_plugin_t *this_gen)
static int | is_avio_supported_protocol (xine_t *xine, const char *mrl)
static input_plugin_t * | input_avio_get_instance (input_class_t *cls_gen, xine_stream_t *stream, const char *mrl)
void * | init_avio_input_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "libavio"

Referenced by init_avio_input_plugin(), input_avio_open(), and is_avio_supported_protocol().

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ init_avio_input_plugin()

void * init_avio_input_plugin | ( | xine_t * | xine,
|  | const void * | data )

References input_plugin_s::dispose, input_class_s::get_instance, input_avio_get_instance(), INPUT_AVIO_ID, LOG_MODULE, N_, NULL, XINE_VERBOSITY_DEBUG, and xprintf.

## ◆ input_avio_dispose()

static void input_avio_dispose | ( | input_plugin_t * | this_gen | ) |
| static

References _x_freep(), and _x_freep_wipe_string().

Referenced by input_avio_get_instance().

## ◆ input_avio_get_blocksize()

static uint32_t input_avio_get_blocksize | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_get_capabilities()

static uint32_t input_avio_get_capabilities | ( | input_plugin_t * | this_gen | ) |
| static

References INPUT_CAP_PREVIEW, and INPUT_CAP_SEEKABLE.

Referenced by input_avio_get_instance().

## ◆ input_avio_get_current_pos()

static off_t input_avio_get_current_pos | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_get_instance()

static input_plugin_t * input_avio_get_instance | ( | input_class_t * | cls_gen,
|  | xine_stream_t * | stream,
|  | const char * | mrl )
| static

References _x_meta_info_set(), _x_mrl_remove_auth(), init_once_routine(), input_avio_dispose(), input_avio_get_blocksize(), input_avio_get_capabilities(), input_avio_get_current_pos(), input_avio_get_length(), input_avio_get_mrl(), input_avio_get_optional_data(), INPUT_AVIO_ID, input_avio_open(), input_avio_read(), input_avio_read_block(), input_avio_seek(), input_avio_seek_time(), is_avio_supported_protocol(), NULL, xine_stream_s::xine, and XINE_META_INFO_TITLE.

Referenced by init_avio_input_plugin().

## ◆ input_avio_get_length()

static off_t input_avio_get_length | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_get_mrl()

static const char * input_avio_get_mrl | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_get_optional_data()

static int input_avio_get_optional_data | ( | input_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type )
| static

References INPUT_OPTIONAL_DATA_pb, INPUT_OPTIONAL_DATA_PREVIEW, INPUT_OPTIONAL_SUCCESS, INPUT_OPTIONAL_UNSUPPORTED, and NULL.

Referenced by input_avio_get_instance().

## ◆ input_avio_open()

static int input_avio_open | ( | input_plugin_t * | this_gen | ) |
| static

References _x_freep_wipe_string(), LOG_MODULE, MAX_PREVIEW_SIZE, NULL, XINE_VERBOSITY_LOG, and xprintf.

Referenced by input_avio_get_instance().

## ◆ input_avio_read()

static off_t input_avio_read | ( | input_plugin_t * | this_gen,
|  | void * | buf_gen,
|  | off_t | len )
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_read_block()

static buf_element_t * input_avio_read_block | ( | input_plugin_t * | this_gen,
|  | fifo_buffer_t * | fifo,
|  | off_t | todo )
| static

References NULL.

Referenced by input_avio_get_instance().

## ◆ input_avio_seek()

static off_t input_avio_seek | ( | input_plugin_t * | this_gen,
|  | off_t | offset,
|  | int | origin )
| static

Referenced by input_avio_get_instance().

## ◆ input_avio_seek_time()

static off_t input_avio_seek_time | ( | input_plugin_t * | this_gen,
|  | int | time_offset,
|  | int | origin )
| static

Referenced by input_avio_get_instance().

## ◆ is_avio_supported_protocol()

static int is_avio_supported_protocol | ( | xine_t * | xine,
|  | const char * | mrl )
| static

References LOG_MODULE, NULL, XINE_VERBOSITY_LOG, and xprintf.

Referenced by input_avio_get_instance().